Page MenuHomePhabricator

Notification icon should be visible when the notification drawer is open
Closed, ResolvedPublic3 Estimate Story Points

Description

Description

When the notification icon is clicked on tablet, the drawer opens and the notification hides. The notification icon should remain present on the screen.

Actual behaviour:

Desired behaviour:

Developer notes

This issue doesn't affect Safari

QA steps

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterDo not hide notifications icon when drawer open

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2019, 3:34 PM

It might be a browser bug. I see the notification icon in safari, but not in chrome:

There are two competing rules so I'm guessing it's browser specific which wins

Specificity war!!! What is it good for...?

Jdlrobson added a subscriber: alexhollender.

@alexhollender so for me the question is should it be hidden or not. Can you answer that and retitle the task? Once we know that fixing this is pretty straightforward.

alexhollender renamed this task from Should notification icon be visible when the notification drawer is open? to Notification icon should be visible when the notification drawer is open.Jul 30 2019, 4:01 PM

@Jdlrobson sure, I've just retitled the task. I previous had updated the description to say:

The notification icon should remain present on the screen.

Apologies, I thought that was sufficient : )

Jdlrobson triaged this task as Medium priority.Jul 30 2019, 8:58 PM
Jdlrobson set the point value for this task to 3.Jul 31 2019, 5:26 PM

Change 527222 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Do not hide notifications icon when drawer open

https://gerrit.wikimedia.org/r/527222

Change 527222 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Do not hide notifications icon when drawer open

https://gerrit.wikimedia.org/r/527222

MBinder_WMF added a subscriber: Edtadros.
alexhollender updated the task description. (Show Details)

✅confirming that this works

MacOS / Chrome browser

logged-inlogged-in + AMC
phuedx closed this task as Resolved.Aug 19 2019, 10:10 AM
phuedx added a subscriber: phuedx.

Confirmed in Chrome (76.0.3809.100) on macOS Mojave (10.14.6) in production.